/* ---------------------------------------------------------- */
/* @(#) KUB.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Siebel Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_START_GNAME_SERVER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_STOP_GNAME_SERVER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_START_SIEBEL_SERVER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_STOP_SIEBEL_SERVER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_START_CONNECTION_BROKER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_STOP_CONNECTION_BROKER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_ONLINE_COMPONENT_GROUP";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_OFFLINE_COMPONENT_GROUP";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_STARTUP_COMPONENT";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_SHUTDOWN_COMPONENT";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_START_TASK";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_PAUSE_TASK";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_RESUME_TASK";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_STOP_TASK";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_DELETE_ARCHIVED_LOGS";

DELETE FROM O4SRV.CCT
WHERE KEY = "KUB_RUN_SRVRMGR_COMMAND";

/* Situations */
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Comp_Offline";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Comp_Offline";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Comp_Shutdown";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Comp_Shutdown";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Comp_Unavailable";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Comp_Unavailable";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Active_Task_Count_High";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Active_Task_Count_High";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Active_Task_Count_Low";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Active_Task_Count_Low";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_FileSys_Space_Avail_Crit";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_FileSys_Space_Avail_Crit";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_FileSys_Space_Avail_Warn";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_FileSys_Space_Avail_Warn";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Server_Space_Used";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Server_Space_Used";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Log_Dir_Space_Used";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Log_Dir_Space_Used";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Log_File_Size";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Log_File_Size";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Log_File_Rate";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Log_File_Rate";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Gateway_NS_Log_Space_Used";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Gateway_NS_Log_Space_Used";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Log_Archive_Space_Used";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Log_Archive_Space_Used";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Docking_Space_Used";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Docking_Space_Used";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_TxnProc_Space_Used";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_TxnProc_Space_Used";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Process_Data_Unavailable";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Process_Data_Unavailable";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Server_Down";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Server_Down";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Gateway_Name_Server_Down";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Gateway_Name_Server_Down";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Connection_Broker_Down";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Connection_Broker_Down";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Object_Problem";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Object_Problem";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Server_Degraded";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Server_Degraded";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Comp_CPU_Crit";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Comp_CPU_Crit";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Comp_CPU_Warn";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Comp_CPU_Warn";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Server_CPU_Crit";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Server_CPU_Crit";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Server_CPU_Warn";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Server_CPU_Warn";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KUB_Server_Process_Size";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KUB_Server_Process_Size";

